Subject: bug#4808: 23.1.50; calc-quit move point to another window

From: Leo <[email-masked]>
Date: Mon, 26 Oct 2009 13:56:10 +0000

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Lately I have been using a three-window setup for writing in LaTeX and I
have found that calc move point to another window, which I am not sure
is desirable.

My frame setup is as follows with point in window 1.

    +------------------+----------+
    |                  |          |
    |                  |     2    |
    |                  |          |
    |                  |          |
    |         1        +----------+
    |                  |          |
    |                  |     3    |
    |                  |          |
    |                  |          |
    +------------------+----------+

Now `M-x calc' and then quit it with 'q'. You will see point moved to
window 2. This is reproducible with Emacs -q.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-09-22 on neutron.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Leo

Emacs-Uptime: "34 days, 5 hours, 7 minutes, 6 seconds"